/*
 *Copyright 2018 T Mobile, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); You may not use
 * this file except in compliance with the License. A copy of the License is located at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * or in the "license" file accompanying this file. This file is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, express or
 * implied. See the License for the specific language governing permissions and
 * limitations under the License.
 */

import { browser, by, element, $, $$ } from 'protractor';
import { CONFIGURATIONS } from './../../src/config/configurations';

const domain = CONFIGURATIONS.optional.general.e2e.DOMAIN;

const fs = require('fs');

export class VulnerabilityCompliance {

  getVulHeaderText() {
     return $('.floating-widgets-header h1.title-text');
  }

  getdoughnutS3Item() {
    return element(by.xpath('//*[@id="graphCont"]/app-doughnut-chart/section/div[2]/div[1]/span[2]'));
  }

  getdoughnutS4Item() {
    return element(by.xpath('//*[@id="graphCont"]/app-doughnut-chart/section/div[2]/div[2]/span[2]'));
  }

  getdoughnutS5Item() {
    return element(by.xpath('//*[@id="graphCont"]/app-doughnut-chart/section/div[2]/div[3]/span[2]'));
  }

  getSeverityListItem() {
    return element(by.xpath('//app-list-table/section/ul/li[2]/ul/li[1]'));
  }

  navigateToVulnerabilityCompliance() {
    return browser.driver.get(domain + '/post-login/compliance/vulnerabilities-compliance?ag=aws-all&domain=Infra%20%26%20Platforms');
  }

  getOverallVulnerabilities() {
    return $('.vul-each .each-value.summary-total-highlight');
  }

  getSearchInput() {
    return $('.search-section input.input-text');
  }

  getListFirstS3() {
    return element(by.xpath('//app-vulnerability-across-application/div/section/div[2]/div[2]/app-list-table/section/ul/li[2]/ul/li[1]'));
  }

  getFirstRowCell() {
    return element(by.xpath('//app-vulnerability-across-application/div/section/div[2]/div[2]/app-list-table/section/ul/li[2]/div'));
  }

  checkDirExists(aPath) {
    try {
      return fs.statSync(aPath).isDirectory();
    } catch (e) {
      if (e.code === 'ENOENT') {
        return false;
      } else {
        throw e;
      }
    }
  }

  getAgGridSort() {
    return $('.issue-trend-wrapper .ag-header .ag-pinned-left-header .ag-cell-label-container .ag-header-cell-label');
  }

  getdownloadIcon() {
    return $('.issue-trend-wrapper img.ag-download');
  }

  // getTableS3UniqueInstances() {
  //   return $('.issue-trend-wrapper .ag-body-viewport-wrapper .ag-body-container .ag-row:nth-child(1) .ag-cell:nth-child(1)');
  // }

  getTableFirstTab() {
    return element(by.xpath('//app-vulnerability-summary-distribution/div/div[2]/div/div[5]/span/span'));
  }

  tableTotal() {
    return element(by.xpath('//*[@id="borderLayout_eRootPanel"]/div[2]/div/div/span[1]/span[3]'));
  }

  getAllList() {
    return $$('.list-table-inner-wrapper .list-table-each-list');
  }

}
